Skip to content
Dashboard

Get an admin by ID

GET/v2/admins/{id}

Retrieves a single admin by their unique identifier.

Returns the admin object if found and they belong to your organization.

Response

Returns an admin object with:

  • id - Unique admin identifier
  • name - Admin’s display name
  • email - Admin’s email address
  • picture - Profile picture URL
  • roleId - ID of the role assigned to this admin

Errors

  • 404 - Admin not found or doesn’t belong to your organization
Path ParametersExpand Collapse
id: string

Admin unique identifier

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
Admin object { id, object, email, 3 more }
id: string

Unique identifier

object: "admin"

Object type identifier

email: optional string

Admin email address

name: optional string

Admin display name

profilePicture: optional string

Profile picture URL

roleId: optional string

Role ID assigned to this admin

Get an admin by ID

curl https://do.featurebase.app/v2/admins/$ID \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "5fef50c5e9458a0012f82456",
  "object": "admin",
  "email": "john@example.com",
  "name": "John Doe",
  "profilePicture": "https://example.com/avatar.png",
  "roleId": "6648f22b7b23fb2f4307aafe"
}
Returns Examples
{
  "id": "5fef50c5e9458a0012f82456",
  "object": "admin",
  "email": "john@example.com",
  "name": "John Doe",
  "profilePicture": "https://example.com/avatar.png",
  "roleId": "6648f22b7b23fb2f4307aafe"
}